package com.meas.system.service;

import com.meas.system.domain.MeasBatch;

import java.util.List;
import java.util.Map;

/**
 * 测量批次Service接口
 *
 * @author wgk
 * @date 2024-06-13
 */
public interface IMeasBatchService {
    /**
     * 查询测量批次
     *
     * @param id 测量批次主键
     * @return 测量批次
     */
    public MeasBatch selectMeasBatchById(Long id);

    /**
     * 查询测量批次列表
     *
     * @param measBatch 测量批次
     * @return 测量批次集合
     */
    public List<MeasBatch> selectMeasBatchList(MeasBatch measBatch);

    /**
     * 新增测量批次
     *
     * @param measBatch 测量批次
     * @return 结果
     */
    public int insertMeasBatch(MeasBatch measBatch);

    /**
     * 修改测量批次
     *
     * @param measBatch 测量批次
     * @return 结果
     */
    public int updateMeasBatch(MeasBatch measBatch);

    /**
     * 批量删除测量批次
     *
     * @param ids 需要删除的测量批次主键集合
     * @return 结果
     */
    public int deleteMeasBatchByIds(Long[] ids);

    /**
     * 删除测量批次信息
     *
     * @param id 测量批次主键
     * @return 结果
     */
    public int deleteMeasBatchById(Long id);

    List<Map> getOption(Long engineId);

}
